import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsDialog as GdsDialogClass } from "../../../components/dialog/dialog.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsDialog = (props) => {
  GdsDialogClass.define();
  const JSXElement = getReactComponent("gds-dialog");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsDialog.displayName = "GdsDialog";
export {
  GdsDialog
};
